Bug 1572459 - Review Request: R-future - Unified Parallel and Distributed Processing in R for Everyone
Summary: Review Request: R-future - Unified Parallel and Distributed Processing in R f...
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Robert-André Mauchin
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-27 04:46 UTC by Elliott Sales de Andrade
Modified: 2018-05-19 02:00 UTC (History)
2 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2018-05-19 02:00:32 UTC
zebob.m: fedora-review+


Attachments (Terms of Use)

Description Elliott Sales de Andrade 2018-04-27 04:46:35 UTC
Spec URL: https://qulogic.fedorapeople.org//R-future.spec
SRPM URL: https://qulogic.fedorapeople.org//R-future-1.8.0-1.fc27.src.rpm

Description:
The purpose of this package is to provide a lightweight and unified Future API
for sequential and parallel processing of R expression via futures.  The
simplest way to evaluate an expression in parallel is to use `x %<-% {
expression }` with `plan(multiprocess)`. This package implements sequential,
multicore, multisession, and cluster futures.  With these, R expressions can be
evaluated on the local machine, in parallel a set of local machines, or
distributed on a mix of local and remote machines.  Extensions to this package
implement additional backends for processing futures via compute cluster
schedulers etc. Because of its unified API, there is no need to modify any code
in order switch from sequential on the local machine to, say, distributed
processing on a remote compute cluster.  Another strength of this package is
that global variables and functions are automatically identified and exported
as needed, making it straightforward to tweak existing code to make use of
futures.

Comment 1 Elliott Sales de Andrade 2018-04-27 04:46:39 UTC
This package built on koji:  https://koji.fedoraproject.org/koji/taskinfo?taskID=26587186

Comment 2 Robert-André Mauchin 2018-04-27 14:22:12 UTC
Package approved.


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Package have the default element marked as %%doc :doc, DESCRIPTION, NEWS


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated". 197 files have unknown license.
     Detailed output of licensecheck in
     /home/bob/packaging/review/R-future/review-R-future/licensecheck.txt
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[x]: Macros in Summary, %description expandable at SRPM build time.
     Note: Macros in: R-future (description)
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

R:
[x]: Package contains the mandatory BuildRequires.
[x]: The package has the standard %install section.
[x]: Package requires R-core.

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

R:
[x]: The %check macro is present
[x]: Latest version is packaged.
     Note: Latest upstream version is 1.8.0, packaged version is 1.8.0

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: R-future-1.8.0-1.fc29.noarch.rpm
          R-future-1.8.0-1.fc29.src.rpm
R-future.noarch: W: spelling-error %description -l en_US multiprocess -> multiprocessor, multiprocessing
R-future.noarch: W: spelling-error %description -l en_US multicore -> multicolored
R-future.noarch: W: spelling-error %description -l en_US multisession -> simulation
R-future.src: W: spelling-error %description -l en_US multiprocess -> multiprocessor, multiprocessing
R-future.src: W: spelling-error %description -l en_US multicore -> multicolored
R-future.src: W: spelling-error %description -l en_US multisession -> simulation
2 packages and 0 specfiles checked; 0 errors, 6 warnings.

Comment 3 Gwyn Ciesla 2018-04-27 21:50:06 UTC
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/R-future

Comment 4 Fedora Update System 2018-04-29 22:32:07 UTC
R-future-1.8.0-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-99be573c79

Comment 5 Fedora Update System 2018-04-30 19:54:16 UTC
R-future-1.8.0-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-99be573c79

Comment 6 Fedora Update System 2018-05-10 01:28:50 UTC
R-future-1.8.1-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-260d6f77e2

Comment 7 Fedora Update System 2018-05-19 02:00:32 UTC
R-future-1.8.1-1.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.